#!/usr/bin/env ruby

require 'browshot'

browshot = Browshot.new('my_api_key')


list = browshot.screenshot_search('google.com', { 'limit' => 5, 'status' => 'finished' }) # last screenshots of google.com
list.each { |id, screenshot| 
  puts "##{id} #{screenshot['url']}\n"
}
puts "\n"


# no match
list = browshot.screenshot_search('foo.bar')
puts "Screenshots for foo.bar: #{list.count}\n"
